Index: tmp/org.txm.core/res/org/txm/xml/xsl/tei/latex2/transcr.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/tei/latex2/transcr.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/tei/latex2/transcr.xsl	(revision 2397)
@@ -1,58 +1,61 @@
 <?xml version="1.0" encoding="utf-8"?>
-<xsl:stylesheet 
-                xmlns:a="http://relaxng.org/ns/compatibility/annotations/1.0"
-                xmlns:rng="http://relaxng.org/ns/structure/1.0"
-                xmlns:tei="http://www.tei-c.org/ns/1.0"
-                xmlns:teix="http://www.tei-c.org/ns/Examples"
-                xmlns:html="http://www.w3.org/1999/xhtml"
-                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
-                exclude-result-prefixes="a rng tei teix"
-                version="2.0">
-  <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" scope="stylesheet" type="stylesheet">
-      <desc>
-         <p>
-    TEI stylesheet
-    dealing  with elements from the
-    transcr module, making LaTeX output.
-      </p>
-         <p>This software is dual-licensed:
+<xsl:stylesheet
+	xmlns:a="http://relaxng.org/ns/compatibility/annotations/1.0"
+	xmlns:rng="http://relaxng.org/ns/structure/1.0"
+	xmlns:tei="http://www.tei-c.org/ns/1.0"
+	xmlns:teix="http://www.tei-c.org/ns/Examples"
+	xmlns:html="http://www.w3.org/1999/xhtml"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	exclude-result-prefixes="a rng tei teix" version="2.0">
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" scope="stylesheet"
+		type="stylesheet">
+		<desc>
+			<p>
+				TEI stylesheet
+				dealing with elements from the
+				transcr module, making LaTeX output.
+			</p>
+			<p>This software is dual-licensed:
 
-1. Distributed under a Creative Commons Attribution-ShareAlike 3.0
-Unported License http://creativecommons.org/licenses/by-sa/3.0/ 
+				1. Distributed under a Creative Commons Attribution-ShareAlike 3.0
+				Unported License http://creativecommons.org/licenses/by-sa/3.0/
 
-2. http://www.opensource.org/licenses/BSD-2-Clause
-		
-All rights reserved.
+				2. http://www.opensource.org/licenses/BSD-2-Clause
 
-Redistribution and use in source and binary forms, with or without
-modification, are permitted provided that the following conditions are
-met:
+				All rights reserved.
 
-* Redistributions of source code must retain the above copyright
-notice, this list of conditions and the following disclaimer.
+				Redistribution and use in source and binary forms, with or without
+				modification, are permitted provided that the following conditions are
+				met:
 
-* Redistributions in binary form must reproduce the above copyright
-notice, this list of conditions and the following disclaimer in the
-documentation and/or other materials provided with the distribution.
+				* Redistributions of source code must retain the above copyright
+				notice, this list of conditions and the following disclaimer.
 
-This software is provided by the copyright holders and contributors
-"as is" and any express or implied warranties, including, but not
-limited to, the implied warranties of merchantability and fitness for
-a particular purpose are disclaimed. In no event shall the copyright
-holder or contributors be liable for any direct, indirect, incidental,
-special, exemplary, or consequential damages (including, but not
-limited to, procurement of substitute goods or services; loss of use,
-data, or profits; or business interruption) however caused and on any
-theory of liability, whether in contract, strict liability, or tort
-(including negligence or otherwise) arising in any way out of the use
-of this software, even if advised of the possibility of such damage.
-</p>
-         <p>Author: See AUTHORS</p>
-         <p>Id: $Id: transcr.xsl 9646 2011-11-05 23:39:08Z rahtz $</p>
-         <p>Copyright: 2011, TEI Consortium</p>
-      </desc>
-   </doc>
+				* Redistributions in binary form must reproduce the above copyright
+				notice, this list of conditions and the following disclaimer in the
+				documentation and/or other materials provided with the distribution.
 
-  <xsl:template match="tei:facsimile"/>
+				This software is provided by the copyright holders and contributors
+				"as is" and any express or implied warranties, including, but not
+				limited to, the implied warranties of merchantability and fitness
+				for
+				a particular purpose are disclaimed. In no event shall the copyright
+				holder or contributors be liable for any direct, indirect,
+				incidental,
+				special, exemplary, or consequential damages (including, but not
+				limited to, procurement of substitute goods or services; loss of use,
+				data, or profits; or business interruption) however caused and on any
+				theory of liability, whether in contract, strict liability, or tort
+				(including negligence or otherwise) arising in any way out of the
+				use
+				of this software, even if advised of the possibility of such damage.
+			</p>
+			<p>Author: See AUTHORS</p>
+			<p>Id: $Id: transcr.xsl 9646 2011-11-05 23:39:08Z rahtz $</p>
+			<p>Copyright: 2011, TEI Consortium</p>
+		</desc>
+	</doc>
 
+	<xsl:template match="tei:facsimile" />
+
 </xsl:stylesheet>
\ No newline at end of file
Index: tmp/org.txm.core/res/org/txm/xml/xsl/tei/latex2/tei-param.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/tei/latex2/tei-param.xsl	(revision 2396)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/tei/latex2/tei-param.xsl	(revision 2397)
@@ -1,138 +1,156 @@
 <?xml version="1.0" encoding="utf-8"?>
-<xsl:stylesheet xmlns:s="http://www.ascc.net/xml/schematron"
-                
-                xmlns:a="http://relaxng.org/ns/compatibility/annotations/1.0"
-                xmlns:rng="http://relaxng.org/ns/structure/1.0"
-                xmlns:tei="http://www.tei-c.org/ns/1.0"
-                xmlns:teix="http://www.tei-c.org/ns/Examples"
-                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
-                exclude-result-prefixes="s a rng tei teix"
-                version="2.0">
+<xsl:stylesheet
+	xmlns:s="http://www.ascc.net/xml/schematron"
 
-   <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" scope="stylesheet" type="stylesheet">
-      <desc>
-         <p>TEI stylesheet customization module for LaTeX output.</p>
-         <p>This software is dual-licensed:
+	xmlns:a="http://relaxng.org/ns/compatibility/annotations/1.0"
+	xmlns:rng="http://relaxng.org/ns/structure/1.0"
+	xmlns:tei="http://www.tei-c.org/ns/1.0"
+	xmlns:teix="http://www.tei-c.org/ns/Examples"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	exclude-result-prefixes="s a rng tei teix" version="2.0">
 
-1. Distributed under a Creative Commons Attribution-ShareAlike 3.0
-Unported License http://creativecommons.org/licenses/by-sa/3.0/ 
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" scope="stylesheet"
+		type="stylesheet">
+		<desc>
+			<p>TEI stylesheet customization module for LaTeX output.</p>
+			<p>This software is dual-licensed:
 
-2. http://www.opensource.org/licenses/BSD-2-Clause
-		
-All rights reserved.
+				1. Distributed under a Creative Commons Attribution-ShareAlike 3.0
+				Unported License http://creativecommons.org/licenses/by-sa/3.0/
 
-Redistribution and use in source and binary forms, with or without
-modification, are permitted provided that the following conditions are
-met:
+				2. http://www.opensource.org/licenses/BSD-2-Clause
 
-* Redistributions of source code must retain the above copyright
-notice, this list of conditions and the following disclaimer.
+				All rights reserved.
 
-* Redistributions in binary form must reproduce the above copyright
-notice, this list of conditions and the following disclaimer in the
-documentation and/or other materials provided with the distribution.
+				Redistribution and use in source and binary forms, with or without
+				modification, are permitted provided that the following conditions are
+				met:
 
-This software is provided by the copyright holders and contributors
-"as is" and any express or implied warranties, including, but not
-limited to, the implied warranties of merchantability and fitness for
-a particular purpose are disclaimed. In no event shall the copyright
-holder or contributors be liable for any direct, indirect, incidental,
-special, exemplary, or consequential damages (including, but not
-limited to, procurement of substitute goods or services; loss of use,
-data, or profits; or business interruption) however caused and on any
-theory of liability, whether in contract, strict liability, or tort
-(including negligence or otherwise) arising in any way out of the use
-of this software, even if advised of the possibility of such damage.
-</p>
-         <p>Author: See AUTHORS</p>
-         <p>Id: $Id: tei-param.xsl 10197 2012-03-28 21:44:10Z rahtz $</p>
-         <p>Copyright: 2011, TEI Consortium</p>
-      </desc>
-   </doc>
+				* Redistributions of source code must retain the above copyright
+				notice, this list of conditions and the following disclaimer.
 
+				* Redistributions in binary form must reproduce the above copyright
+				notice, this list of conditions and the following disclaimer in the
+				documentation and/or other materials provided with the distribution.
 
-  <xsl:key name="FOOTNOTES" match="tei:note[not(@place)]" use="1"/>
-  <xsl:key name="FOOTNOTES" match="tei:note[@place='foot']" use="1"/>
-  <xsl:key name="FOOTNOTES" match="tei:note[@place='bottom']" use="1"/>
-  <xsl:key name="ENDNOTES" match="tei:note[@place='end']" use="1"/>
+				This software is provided by the copyright holders and contributors
+				"as is" and any express or implied warranties, including, but not
+				limited to, the implied warranties of merchantability and fitness
+				for
+				a particular purpose are disclaimed. In no event shall the copyright
+				holder or contributors be liable for any direct, indirect,
+				incidental,
+				special, exemplary, or consequential damages (including, but not
+				limited to, procurement of substitute goods or services; loss of use,
+				data, or profits; or business interruption) however caused and on any
+				theory of liability, whether in contract, strict liability, or tort
+				(including negligence or otherwise) arising in any way out of the
+				use
+				of this software, even if advised of the possibility of such damage.
+			</p>
+			<p>Author: See AUTHORS</p>
+			<p>Id: $Id: tei-param.xsl 10197 2012-03-28 21:44:10Z rahtz $</p>
+			<p>Copyright: 2011, TEI Consortium</p>
+		</desc>
+	</doc>
 
-   <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="hook">
-      <desc>[latex] Hook where LaTeX commands can be inserted after 
-the beginning of the document</desc>
-   </doc>
-   <xsl:template name="beginDocumentHook"/>
 
-   <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="hook">
-      <desc>[latex] Hook where LaTeX commands can be at start of setup</desc>
-   </doc>
-   <xsl:template name="latexSetupHook"/>
-   <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="hook">
-      <desc>[latex] Hook where LaTeX commands can be inserted in the
-    preamble before the beginning of the document</desc>
-   </doc>
-   <xsl:template name="latexPreambleHook"/>
+	<xsl:key name="FOOTNOTES" match="tei:note[not(@place)]" use="1" />
+	<xsl:key name="FOOTNOTES" match="tei:note[@place='foot']"
+		use="1" />
+	<xsl:key name="FOOTNOTES" match="tei:note[@place='bottom']"
+		use="1" />
+	<xsl:key name="ENDNOTES" match="tei:note[@place='end']" use="1" />
 
-   <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="layout" type="string">
-      <desc>
-Optional parameters for documentclass
-</desc>
-   </doc>
-   <xsl:param name="classParameters">11pt,twoside</xsl:param>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="hook">
+		<desc>[latex] Hook where LaTeX commands can be inserted after
+			the beginning of the document</desc>
+	</doc>
+	<xsl:template name="beginDocumentHook" />
 
-   <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="layout" type="string">
-      <desc>
-Logo graphics file
-</desc>
-   </doc>
-   <xsl:param name="latexLogo"/>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="hook">
+		<desc>[latex] Hook where LaTeX commands can be at start of setup</desc>
+	</doc>
+	<xsl:template name="latexSetupHook" />
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="hook">
+		<desc>[latex] Hook where LaTeX commands can be inserted in the
+			preamble before the beginning of the document</desc>
+	</doc>
+	<xsl:template name="latexPreambleHook" />
 
-   <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="output" type="string">
-      <desc>
-URL root where referenced documents are located
-</desc>
-   </doc>
-   <xsl:param name="baseURL"/>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="layout"
+		type="string">
+		<desc>
+			Optional parameters for documentclass
+		</desc>
+	</doc>
+	<xsl:param name="classParameters">
+		11pt,twoside
+	</xsl:param>
 
-   <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="output" type="boolean">
-      <desc>
-Whether or not to load LaTeX packages which attempt to
-process the UTF-8 characters. Set to "false" if you are
-using XeTeX or similar.
-</desc>
-   </doc>
-   <xsl:param name="reencode">true</xsl:param>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="layout"
+		type="string">
+		<desc>
+			Logo graphics file
+		</desc>
+	</doc>
+	<xsl:param name="latexLogo" />
 
-   <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="userpackage" type="string">
-      <desc>
-The name of a LaTeX style package which should be loaded
-</desc>
-   </doc>
-   <xsl:param name="userpackage"/>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="output"
+		type="string">
+		<desc>
+			URL root where referenced documents are located
+		</desc>
+	</doc>
+	<xsl:param name="baseURL" />
 
-   <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="output" type="boolean">
-      <desc>
-Use real name of graphics files rather than pointers
-</desc>
-   </doc>
-   <xsl:param name="realFigures">true</xsl:param>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="output"
+		type="boolean">
+		<desc>
+			Whether or not to load LaTeX packages which attempt to
+			process the UTF-8 characters. Set to "false" if you are
+			using XeTeX or similar.
+		</desc>
+	</doc>
+	<xsl:param name="reencode">
+		true
+	</xsl:param>
 
-   <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="layout">
-      <desc>
-         <p>LaTeX package setup</p>
-         <p>Declaration of the LaTeX packages needed to implement
-    this markup</p>
-      </desc>
-   </doc>
-   <xsl:template name="latexPackages">
-      <xsl:text>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl"
+		class="userpackage" type="string">
+		<desc>
+			The name of a LaTeX style package which should be loaded
+		</desc>
+	</doc>
+	<xsl:param name="userpackage" />
+
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="output"
+		type="boolean">
+		<desc>
+			Use real name of graphics files rather than pointers
+		</desc>
+	</doc>
+	<xsl:param name="realFigures">
+		true
+	</xsl:param>
+
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="layout">
+		<desc>
+			<p>LaTeX package setup</p>
+			<p>Declaration of the LaTeX packages needed to implement
+				this markup</p>
+		</desc>
+	</doc>
+	<xsl:template name="latexPackages">
+		<xsl:text>
 \usepackage[</xsl:text>
-      <xsl:value-of select="$latexPaperSize"/>
-      <xsl:text>,</xsl:text>
-      <xsl:value-of select="$latexGeometryOptions"/>
-      <xsl:text>]{geometry}
+		<xsl:value-of select="$latexPaperSize" />
+		<xsl:text>,</xsl:text>
+		<xsl:value-of select="$latexGeometryOptions" />
+		<xsl:text>]{geometry}
 \usepackage{framed}
 </xsl:text>
-<xsl:text>
+		<xsl:text>
 \definecolor{shadecolor}{gray}{0.95}
 \usepackage{longtable}
 \usepackage[normalem]{ulem}
@@ -140,196 +158,238 @@
 \usepackage{fancyhdr}
 \usepackage{graphicx}
 </xsl:text>
-<xsl:if test="key('ENDNOTES',1)">
-  \usepackage{endnotes}
-  <xsl:choose>
-    <xsl:when test="key('FOOTNOTES',1)">
-      \def\theendnote{\@alph\c@endnote}
-    </xsl:when>
-    <xsl:otherwise>
-      \def\theendnote{\@arabic\c@endnote}
-    </xsl:otherwise>
-  </xsl:choose>
-</xsl:if>
-<xsl:text>
+		<xsl:if test="key('ENDNOTES',1)">
+			\usepackage{endnotes}
+			<xsl:choose>
+				<xsl:when test="key('FOOTNOTES',1)">
+					\def\theendnote{\@alph\c@endnote}
+				</xsl:when>
+				<xsl:otherwise>
+					\def\theendnote{\@arabic\c@endnote}
+				</xsl:otherwise>
+			</xsl:choose>
+		</xsl:if>
+		<xsl:text>
 \def\Gin@extensions{.pdf,.png,.jpg,.mps,.tif}
 </xsl:text>
-<xsl:choose>
-      <xsl:when test="$reencode='true'">
-         <xsl:text>
+		<xsl:choose>
+			<xsl:when test="$reencode='true'">
+				<xsl:text>
 \IfFileExists{tipa.sty}{\usepackage{tipa}}{}
 \usepackage{times}
 </xsl:text>
-      </xsl:when>
-</xsl:choose>
-      <xsl:if test="not($userpackage='')">
-  \usepackage{<xsl:value-of select="$userpackage"/>}
-</xsl:if>
-      <xsl:text>
+			</xsl:when>
+		</xsl:choose>
+		<xsl:if test="not($userpackage='')">
+			\usepackage{
+			<xsl:value-of select="$userpackage" />
+			}
+		</xsl:if>
+		<xsl:text>
   \pagestyle{fancy} 
 </xsl:text>
-\usepackage[pdftitle={<xsl:call-template name="generateSimpleTitle"/>},
- pdfauthor={<xsl:call-template name="generateAuthor"/>}]{hyperref}
-\hyperbaseurl{<xsl:value-of select="$baseURL"/>}
-<xsl:if test="count(key('APP',1))&gt;0">
-\usepackage{ledmac}
-<xsl:call-template name="ledmacOptions"/>
-</xsl:if>
+		\usepackage[pdftitle={
+		<xsl:call-template name="generateSimpleTitle" />
+		},
+		pdfauthor={
+		<xsl:call-template name="generateAuthor" />
+		}]{hyperref}
+		\hyperbaseurl{
+		<xsl:value-of select="$baseURL" />
+		}
+		<xsl:if test="count(key('APP',1))&gt;0">
+			\usepackage{ledmac}
+			<xsl:call-template name="ledmacOptions" />
+		</xsl:if>
 
-   </xsl:template>
+	</xsl:template>
 
-   <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="layout" type="float">
-      <desc>
-When processing a "pb" element, decide what to generate: "active" generates a page break; "visible" genrates a bracketed number (with scissors), and "bracketsonly" generates a bracketed number (without scissors).
-</desc>
-   </doc>
-   <xsl:param name="pagebreakStyle"/>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="layout"
+		type="float">
+		<desc>
+			When processing a "pb" element, decide what to generate: "active"
+			generates a page break; "visible" genrates a bracketed number (with
+			scissors), and "bracketsonly" generates a bracketed number (without
+			scissors).
+		</desc>
+	</doc>
+	<xsl:param name="pagebreakStyle" />
 
-   <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="layout" type="float">
-      <desc>
-When making a table, what width must be constrained to fit,
-as a proportion of the page width.
-</desc>
-   </doc>
-   <xsl:param name="tableMaxWidth">0.8.05</xsl:param>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="layout"
+		type="float">
+		<desc>
+			When making a table, what width must be constrained to fit,
+			as a proportion of the page width.
+		</desc>
+	</doc>
+	<xsl:param name="tableMaxWidth">
+		0.8.05
+	</xsl:param>
 
-   <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="layout" type="boolean">
-      <desc>
-Whether to number lines of poetry
-</desc>
-   </doc>
-   <xsl:param name="verseNumbering">false</xsl:param>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="layout"
+		type="boolean">
+		<desc>
+			Whether to number lines of poetry
+		</desc>
+	</doc>
+	<xsl:param name="verseNumbering">
+		false
+	</xsl:param>
 
-   <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="layout" type="integer">
-      <desc>
-When numbering poetry, how often to put in a line number
-</desc>
-   </doc>
-   <xsl:param name="everyHowManyLines">5</xsl:param>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="layout"
+		type="integer">
+		<desc>
+			When numbering poetry, how often to put in a line number
+		</desc>
+	</doc>
+	<xsl:param name="everyHowManyLines">
+		5
+	</xsl:param>
 
-   <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="layout" type="string">
-      <desc>
-When numbering poetry, when to restart the sequence;
-this must be the name of a TEI element
-</desc>
-   </doc>
-   <xsl:param name="resetVerseLineNumbering">div1</xsl:param>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="layout"
+		type="string">
+		<desc>
+			When numbering poetry, when to restart the sequence;
+			this must be the name of a TEI element
+		</desc>
+	</doc>
+	<xsl:param name="resetVerseLineNumbering">
+		div1
+	</xsl:param>
 
-   <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="userpackage" type="string">
-      <desc>
-Options to pass to the geometry package to set margins etc
-</desc>
-   </doc>
-   <xsl:param name="latexGeometryOptions">twoside,lmargin=1in,rmargin=1in,tmargin=1in,bmargin=1in</xsl:param>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl"
+		class="userpackage" type="string">
+		<desc>
+			Options to pass to the geometry package to set margins etc
+		</desc>
+	</doc>
+	<xsl:param name="latexGeometryOptions">
+		twoside,lmargin=1in,rmargin=1in,tmargin=1in,bmargin=1in
+	</xsl:param>
 
-   <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="userpackage" type="string">
-      <desc>
-Depth of nesting of reference documentation when processing ODD
-</desc>
-   </doc>
-   <xsl:param name="specLinkDepth">2</xsl:param>
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl"
+		class="userpackage" type="string">
+		<desc>
+			Depth of nesting of reference documentation when processing ODD
+		</desc>
+	</doc>
+	<xsl:param name="specLinkDepth">
+		2
+	</xsl:param>
 
-   <doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="layout">
-      <desc>
-         <p>LaTeX setup</p>
-         <p>The basic LaTeX setup which you should not 
-really tinker with unless you really understand  why and how. Note
-that we need to set up a mapping here for Unicode 8421, 10100 and
-10100 to glyphs for backslash and the two curly brackets, to provide literal
-characters. The normal characters remain active for LaTeX commands.
-Note that if $reencode is set to false, no input or output encoding
-packages are loaded, since it is assumed you are using a TeX variant
-capable of dealing with UTF-8 directly.
-</p>
-      </desc>
-   </doc>
-   <xsl:template name="latexSetup">
-   <xsl:call-template name="latexSetupHook"/>
-\IfFileExists{xcolor.sty}%
-  {\RequirePackage{xcolor}}%
-  {\RequirePackage{color}}
-\usepackage{colortbl}
-      <xsl:choose>
-         <xsl:when test="$reencode='true'">
-\IfFileExists{utf8x.def}%
- {\usepackage[utf8x]{inputenc}}%
- {\usepackage[utf8]{inputenc}}
-\PrerenderUnicode{–}
-<xsl:call-template name="latexBabel"/>
-\usepackage[T1]{fontenc}
-\usepackage{float}
-\usepackage[]{ucs}
-\uc@dclc{8421}{default}{\textbackslash }
-\uc@dclc{10100}{default}{\{}
-\uc@dclc{10101}{default}{\}}
-\uc@dclc{8491}{default}{\AA{}}
-\uc@dclc{8239}{default}{\,}
-\uc@dclc{20154}{default}{ }
-\def\textschwa{\rotatebox{-90}{e}}
-\def\textJapanese{}
-\def\textChinese{}
-</xsl:when>
-         <xsl:otherwise>
-\usepackage{fontspec}
-\usepackage{xunicode}
-\catcode`⃥=\active \def⃥{\textbackslash}
-\catcode`❴=\active \def❴{\{}
-\catcode`❵=\active \def❵{\}}
-\def\textJapanese{\fontspec{Kochi Mincho}}
-\def\textChinese{\fontspec{HAN NOM A}\XeTeXlinebreaklocale "zh"\XeTeXlinebreakskip = 0pt plus 1pt }
-\def\textKorean{\fontspec{Baekmuk Gulim} }
-\setmonofont{<xsl:value-of select="$typewriterFont"/>}
-<xsl:if test="not($sansFont='')">
-  \setsansfont{<xsl:value-of select="$sansFont"/>}
-</xsl:if>
-<xsl:if test="not($romanFont='')">
-  \setromanfont{<xsl:value-of select="$romanFont"/>}
-</xsl:if>
-</xsl:otherwise>
-      </xsl:choose>
-\DeclareTextSymbol{\textpi}{OML}{25}
-\usepackage{relsize}
-\def\textsubscript#1{%
-  \@textsubscript{\selectfont#1}}
-\def\@textsubscript#1{%
-  {\m@th\ensuremath{_{\mbox{\fontsize\sf@size\z@#1}}}}}
-\def\textquoted#1{‘#1’}
-\def\textsmall#1{{\small #1}}
-\def\textlarge#1{{\large #1}}
-\def\textoverbar#1{\ensuremath{\overline{#1}}}
-\def\textgothic#1{{\fontspec{<xsl:value-of select="$gothicFont"/>}#1}}
-\def\textcal#1{{\fontspec{<xsl:value-of select="$calligraphicFont"/>}#1}}
-\RequirePackage{array}
-\def\@testpach{\@chclass
- \ifnum \@lastchclass=6 \@ne \@chnum \@ne \else
-  \ifnum \@lastchclass=7 5 \else
-   \ifnum \@lastchclass=8 \tw@ \else
-    \ifnum \@lastchclass=9 \thr@@
-   \else \z@
-   \ifnum \@lastchclass = 10 \else
-   \edef\@nextchar{\expandafter\string\@nextchar}%
-   \@chnum
-   \if \@nextchar c\z@ \else
-    \if \@nextchar l\@ne \else
-     \if \@nextchar r\tw@ \else
-   \z@ \@chclass
-   \if\@nextchar |\@ne \else
-    \if \@nextchar !6 \else
-     \if \@nextchar @7 \else
-      \if \@nextchar (8 \else
-       \if \@nextchar )9 \else
-  10
-  \@chnum
-  \if \@nextchar m\thr@@\else
-   \if \@nextchar p4 \else
-    \if \@nextchar b5 \else
-   \z@ \@chclass \z@ \@preamerr \z@ \fi \fi \fi \fi
-   \fi \fi  \fi  \fi  \fi  \fi  \fi \fi \fi \fi \fi \fi}
+	<doc xmlns="http://www.oxygenxml.com/ns/doc/xsl" class="layout">
+		<desc>
+			<p>LaTeX setup</p>
+			<p>The basic LaTeX setup which you should not
+				really tinker with unless you really understand why and how. Note
+				that we need to set up a mapping here for Unicode 8421, 10100 and
+				10100 to glyphs for backslash and the two curly brackets, to provide
+				literal
+				characters. The normal characters remain active for LaTeX commands.
+				Note that if $reencode is set to false, no input or output encoding
+				packages are loaded, since it is assumed you are using a TeX variant
+				capable of dealing with UTF-8 directly.
+			</p>
+		</desc>
+	</doc>
+	<xsl:template name="latexSetup">
+		<xsl:call-template name="latexSetupHook" />
+		\IfFileExists{xcolor.sty}%
+		{\RequirePackage{xcolor}}%
+		{\RequirePackage{color}}
+		\usepackage{colortbl}
+		<xsl:choose>
+			<xsl:when test="$reencode='true'">
+				\IfFileExists{utf8x.def}%
+				{\usepackage[utf8x]{inputenc}}%
+				{\usepackage[utf8]{inputenc}}
+				\PrerenderUnicode{–}
+				<xsl:call-template name="latexBabel" />
+				\usepackage[T1]{fontenc}
+				\usepackage{float}
+				\usepackage[]{ucs}
+				\uc@dclc{8421}{default}{\textbackslash }
+				\uc@dclc{10100}{default}{\{}
+				\uc@dclc{10101}{default}{\}}
+				\uc@dclc{8491}{default}{\AA{}}
+				\uc@dclc{8239}{default}{\,}
+				\uc@dclc{20154}{default}{ }
+				\def\textschwa{\rotatebox{-90}{e}}
+				\def\textJapanese{}
+				\def\textChinese{}
+			</xsl:when>
+			<xsl:otherwise>
+				\usepackage{fontspec}
+				\usepackage{xunicode}
+				\catcode`⃥=\active \def⃥{\textbackslash}
+				\catcode`❴=\active \def❴{\{}
+				\catcode`❵=\active \def❵{\}}
+				\def\textJapanese{\fontspec{Kochi Mincho}}
+				\def\textChinese{\fontspec{HAN NOM A}\XeTeXlinebreaklocale "zh"\XeTeXlinebreakskip = 0pt plus 1pt
+				}
+				\def\textKorean{\fontspec{Baekmuk Gulim} }
+				\setmonofont{
+				<xsl:value-of select="$typewriterFont" />
+				}
+				<xsl:if test="not($sansFont='')">
+					\setsansfont{
+					<xsl:value-of select="$sansFont" />
+					}
+				</xsl:if>
+				<xsl:if test="not($romanFont='')">
+					\setromanfont{
+					<xsl:value-of select="$romanFont" />
+					}
+				</xsl:if>
+			</xsl:otherwise>
+		</xsl:choose>
+		\DeclareTextSymbol{\textpi}{OML}{25}
+		\usepackage{relsize}
+		\def\textsubscript#1{%
+		\@textsubscript{\selectfont#1}}
+		\def\@textsubscript#1{%
+		{\m@th\ensuremath{_{\mbox{\fontsize\sf@size\z@#1}}}}}
+		\def\textquoted#1{‘#1’}
+		\def\textsmall#1{{\small #1}}
+		\def\textlarge#1{{\large #1}}
+		\def\textoverbar#1{\ensuremath{\overline{#1}}}
+		\def\textgothic#1{{\fontspec{
+		<xsl:value-of select="$gothicFont" />
+		}#1}}
+		\def\textcal#1{{\fontspec{
+		<xsl:value-of select="$calligraphicFont" />
+		}#1}}
+		\RequirePackage{array}
+		\def\@testpach{\@chclass
+		\ifnum \@lastchclass=6 \@ne \@chnum \@ne \else
+		\ifnum \@lastchclass=7 5 \else
+		\ifnum \@lastchclass=8 \tw@ \else
+		\ifnum \@lastchclass=9 \thr@@
+		\else \z@
+		\ifnum \@lastchclass = 10 \else
+		\edef\@nextchar{\expandafter\string\@nextchar}%
+		\@chnum
+		\if \@nextchar c\z@ \else
+		\if \@nextchar l\@ne \else
+		\if \@nextchar r\tw@ \else
+		\z@ \@chclass
+		\if\@nextchar |\@ne \else
+		\if \@nextchar !6 \else
+		\if \@nextchar @7 \else
+		\if \@nextchar (8 \else
+		\if \@nextchar )9 \else
+		10
+		\@chnum
+		\if \@nextchar m\thr@@\else
+		\if \@nextchar p4 \else
+		\if \@nextchar b5 \else
+		\z@ \@chclass \z@ \@preamerr \z@ \fi \fi \fi \fi
+		\fi \fi \fi \fi \fi \fi \fi \fi \fi \fi \fi \fi}
 
-\gdef\arraybackslash{\let\\=\@arraycr}
-\def\textxi{\ensuremath{\xi}}
-\def\Panel#1#2#3#4{\multicolumn{#3}{){\columncolor{#2}}#4}{#1}}
-<xsl:text disable-output-escaping="yes">
+		\gdef\arraybackslash{\let\\=\@arraycr}
+		\def\textxi{\ensuremath{\xi}}
+		\def\Panel#1#2#3#4{\multicolumn{#3}{){\columncolor{#2}}#4}{#1}}
+		<xsl:text disable-output-escaping="yes">
 \newcolumntype{L}[1]{){\raggedright\arraybackslash}p{#1}}
 \newcolumntype{C}[1]{){\centering\arraybackslash}p{#1}}
 \newcolumntype{R}[1]{){\raggedleft\arraybackslash}p{#1}}
